<?php

namespace Alipay;

/**
 * Class Factory.
 *
 * @method static \Alipay\Payment\Application            payment(array $config)
 * @method static \Alipay\MiniProgram\Application        miniProgram(array $config)
 * @method static \Alipay\OfficialAccount\Application    officialAccount(array $config)
 * @method static \Alipay\Marketing\Application          marketing(array $config)
 * @method static \Alipay\Base\Application               base(array $config)
 * @method static \Alipay\OpenPlatform\Application       openPlatform(array $config)
 */
class Factory
{
    /**
     * @param string $name
     * @param array  $config
     *
     * @return \Alipay\Kernel\ServiceContainer
     */
    public static function make($name, array $config)
    {
        $namespace = Kernel\Support\Str::studly($name);
        $application = "\\Alipay\\{$namespace}\\Application";
        return new $application($config);
    }

    /**
     * Dynamically pass methods to the application.
     *
     * @param string $name
     * @param array  $arguments
     *
     * @return mixed
     */
    public static function __callStatic($name, $arguments)
    {
        return self::make($name, ...$arguments);
    }
}
