<?php

namespace Alipay\MiniProgram\AppCode;

use Alipay\Kernel\BaseClient;

class Client extends BaseClient
{
    /**
     * 小程序生成推广二维码
     * @param string $url_param
     * @param string $query_param
     * @param string $describe
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     * @throws \Exception
     */
    public function getQrCode(string $url_param, string $query_param, string $describe)
    {
        $biz_content = [
            'url_param' => $url_param,
            'query_param' => $query_param,
            'describe' => $describe,
        ];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'alipay.open.app.qrcode.create';
        return $this->httpPost($params);
    }
}
