<?php

namespace Alipay\MiniProgram;

use Alipay\Base\Oauth;
use Alipay\Kernel\ServiceContainer;

/**
 * Class Application.
 *
 * @property \Alipay\MiniProgram\Identification\Client   $identification
 * @property \Alipay\MiniProgram\AppCode\Client          $app_code
 * @property \Alipay\MiniProgram\TemplateMessage\Client  $template_message
 * @property \Alipay\MiniProgram\Risk\Client             $risk
 * @property \Alipay\Base\Oauth\Client                   $oauth
 *
 */
class Application extends ServiceContainer
{
    /**
     * @var array
     */
    protected $providers = [
        Identification\ServiceProvider::class,
        AppCode\ServiceProvider::class,
        TemplateMessage\ServiceProvider::class,
        Risk\ServiceProvider::class,
        OAuth\ServiceProvider::class,
    ];
}
