<?php

namespace Alipay\MiniProgram\Identification;

use Alipay\Kernel\BaseClient;

class Client extends BaseClient
{
    /**
     * 人脸结果查询接口
     * @param string $biz_id
     * @param string $zim_id
     * @param int $face_type
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function queryCertifyzhub(string $biz_id, string $zim_id, int $face_type = 2)
    {
        $biz_content = [
            'biz_id' => $biz_id,
            'zim_id' => $zim_id,
            'face_type' => $face_type,
        ];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'zoloz.identification.customer.certifyzhub.query';
        $sysParams = $this->buildParams($params);
        $url = $this->_toUrlEncodedRequestBody($sysParams);
        return $this->httpPost($url, $params);
    }

    /**
     * 人脸采集结果查询
     * @param string $biz_id
     * @param string $zim_id
     * @param array $extern_param
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function queryUserWeb(string $biz_id, string $zim_id, array $extern_param = [])
    {
        $biz_content = [
            'biz_id' => $biz_id,
            'zim_id' => $zim_id,
            'extern_param' => json_encode($extern_param, JSON_UNESCAPED_UNICODE),
        ];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'zoloz.identification.user.web.query';
        return $this->httpPost($params);
    }
}
