<?php

namespace Alipay\MiniProgram\Risk;

use Alipay\Kernel\BaseClient;

class Client extends BaseClient
{
    /**
     * 小程序内容风险检测服务
     * @param string $content
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function detectContent(string $content)
    {
        $biz_content = [
            'content' => $content
        ];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'alipay.security.risk.content.detect';
        return $this->httpPost($params);
    }
}
