<?php

namespace Alipay\MiniProgram\TemplateMessage;

use Alipay\Kernel\BaseClient;

class Client extends BaseClient
{
    /**
     * 小程序发送模板消息
     * @param string $to_user_id
     * @param string $form_id
     * @param string $user_template_id
     * @param string $page
     * @param string $data
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function send(string $to_user_id, string $form_id, string $user_template_id, string $page, string $data)
    {
        $biz_content = [
            'to_user_id' => $to_user_id,
            'form_id' => $form_id,
            'user_template_id' => $user_template_id,
            'page' => $page,
            'data' => $data
        ];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'alipay.open.app.mini.templatemessage.send';
        return $this->httpPost($params);
    }
}
