<?php

namespace Alipay\OpenPlatform\Authorizer\MiniProgram;

use Alipay\MiniProgram\Application as MiniProgram;

/**
 * Class Application
 * @package Alipay\OpenPlatform\Authorizer\Mini
 *
 * @property \Alipay\OpenPlatform\Authorizer\MiniProgram\Version\Client     $version
 * @property \Alipay\OpenPlatform\Authorizer\MiniProgram\Domain\Client      $domain
 * @property \Alipay\OpenPlatform\Authorizer\MiniProgram\Experience\Client  $experience
 * @property \Alipay\OpenPlatform\Authorizer\MiniProgram\Members\Client     $members
 * @property \Alipay\OpenPlatform\Authorizer\MiniProgram\BaseInfo\Client    $base_info
 * @property \Alipay\OpenPlatform\Authorizer\MiniProgram\Category\Client    $category
 */
class Application extends MiniProgram
{
    /**
     * Application constructor.
     * @param array $config
     * @param array $prepends
     */
    public function __construct(array $config = [], array $prepends = [])
    {
        parent::__construct($config, $prepends);
        $providers = [
            Version\ServiceProvider::class,
            Domain\ServiceProvider::class,
            Experience\ServiceProvider::class,
            Members\ServiceProvider::class,
            BaseInfo\ServiceProvider::class,
            Category\ServiceProvider::class
        ];

        foreach ($providers as $provider) {
            $this->register(new $provider());
        }
    }
}