<?php

namespace Alipay\OpenPlatform\Authorizer\MiniProgram\BaseInfo;

use Alipay\Kernel\BaseClient;

class Client extends BaseClient
{
    /**
     * 查询小程序基础信息
     *
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     * @throws \Exception
     */
    public function query()
    {
        $params = [
            'biz_content' => null
        ];
        $this->method = 'alipay.open.mini.baseinfo.query';
        return $this->httpPost($params);
    }

    /**
     * 修改小程序基础信息
     *
     * @param array $payload
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     * @throws \Exception
     */
    public function modify(array $payload)
    {
        $params = $payload;
        $this->method = 'alipay.open.mini.baseinfo.modify';
        return $this->httpPost($params);
    }
}