<?php

namespace Alipay\OpenPlatform\Authorizer\MiniProgram\Category;

use Alipay\Kernel\BaseClient;

class Client extends BaseClient
{
    /**
     * 小程序类目树查询
     * @param bool $isFilter
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     * @throws \Exception
     */
    public function query(bool $isFilter = true)
    {
        $biz_content = ['is_filter' => $isFilter];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'alipay.open.mini.category.query';
        return $this->httpPost($params);
    }
}