<?php

namespace Alipay\OpenPlatform\Authorizer\MiniProgram\Domain;

use Alipay\Kernel\BaseClient;

class Client extends BaseClient
{
    /**
     * 添加域名白名单
     * @param string $safeDomain
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     * @throws \Exception
     */
    public function create(string $safeDomain)
    {
        $biz_content = [
            'safe_domain' => $safeDomain
        ];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'alipay.open.mini.safedomain.create';
        return $this->httpPost($params);
    }

    /**
     * 删除域名白名单
     * @param string $safeDomain
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function delete(string $safeDomain)
    {
        $biz_content = [
            'safe_domain' => $safeDomain
        ];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'alipay.open.mini.safedomain.delete';
        return $this->httpPost($params);
    }
}