<?php

namespace Alipay\Payment;

use Closure;
use Alipay\Kernel\ServiceContainer;

/**
 * Class Application.
 *
 * @property \Alipay\Payment\Pay\Client               $pay
 * @property \Alipay\Payment\Fund\Client              $fund
 * @property \Alipay\Payment\Order\Client             $order
 */

class Application extends ServiceContainer
{
    /**
     * @var array
     */
    protected $providers = [
        Fund\ServiceProvider::class,
        Pay\ServiceProvider::class,
        Order\ServiceProvider::class
    ];

    /**
     * 支付回调
     * @param Closure $closure
     * @return \Symfony\Component\HttpFoundation\Response
     * @throws \HttpBase\Exceptions\Exception
     */
    public function handlePaidNotify(Closure $closure)
    {
        return (new Notify\Paid($this))->handle($closure);
    }
}
