<?php

namespace Alipay\Payment\Fund;

use Alipay\Kernel\BaseClient;

class Client extends BaseClient
{
    /**
     * 单笔转账
     * @param array $payload
     * @return \Alipay\Kernel\Support\Collection|array|object|\Psr\Http\Message\ResponseInterface|string
     * @throws \HttpBase\Exceptions\InvalidConfigException
     * @throws \GuzzleHttp\Exception\GuzzleException
     * @throws \Exception
     */
    public function transfer(array $payload)
    {
        $biz_content = [
            'out_trade_no' => $payload
        ];
        $params = [
            'biz_content' => json_encode($biz_content, JSON_UNESCAPED_UNICODE)
        ];
        $this->method = 'alipay.fund.trans.uni.transfer';
        return $this->httpPost($params);
    }
}
